### Hierarchy

- ReadModel

### Implements

- IReadModel

## Index

### Constructors

- constructor

### Properties

- interceptors
- readModelAdapter
- reducer
- state

### Methods

- applyEvents
- requireStateToHaveDefaultProperties
- sync

## Constructors

### constructor

- new ReadModel(readModelAdapter: IReadModelAdapter, reducer: any, state: IReadModelState, interceptors?: any): ReadModel

- - Defined in Store/ReadModel/ReadModel.ts:19

  #### Parameters

  - ##### readModelAdapter: IReadModelAdapter

  - ##### reducer: any

  - ##### state: IReadModelState

  - ##### Optional interceptors: any

  #### Returns ReadModel

## Properties

### Optional interceptors

interceptors: any

- Defined in Store/ReadModel/ReadModel.ts:24

### readModelAdapter

readModelAdapter: IReadModelAdapter

Implementation of IReadModel.readModelAdapter

- Defined in Store/ReadModel/ReadModel.ts:21

### reducer

reducer: any

Implementation of IReadModel.reducer

- Defined in Store/ReadModel/ReadModel.ts:22

### state

state: IReadModelState

Implementation of IReadModel.state

- Defined in Store/ReadModel/ReadModel.ts:23

## Methods

### applyEvents

- applyEvents(events: IFSA[]): void

- - Defined in Store/ReadModel/ReadModel.ts:70

  #### Parameters

  - ##### events: IFSA[]

  #### Returns void

### requireStateToHaveDefaultProperties

- requireStateToHaveDefaultProperties(state: IReadModelState | any): void

- - Defined in Store/ReadModel/ReadModel.ts:47

  #### Parameters

  - ##### state: IReadModelState | any

  #### Returns void

### sync

- sync(store: EventStore, eventStoreAdapter: EventStoreAdapter, web3: any): Promise<boolean>

- - Defined in Store/ReadModel/ReadModel.ts:77

  #### Parameters

  - ##### store: EventStore

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### web3: any

  #### Returns Promise<boolean>

Generated using TypeDoc